/******************************************************************************
  Target Script for BeagleBone Black

  Copyright (c) 2013 Rowley Associates Limited.

  This file may be distributed under the terms of the License Agreement
  provided with this software.

  THIS FILE IS PROVIDED AS IS WITH NO WARRANTY OF ANY KIND, INCLUDING THE
  WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 ******************************************************************************/

load("targets/Sitara/AM335x_Target.js")

function SDRAMReset()
{
  Reset();
  if (TargetInterface.implementation() == "crossworks_simulator")
    return;
  TargetInterface.pokeBinary(0x40300000, "$(TargetsDir)/BeagleBone_Black/BeagleBone_Black_init.bin");
  TargetInterface.runFromAddress(0x40300000, 2000);  
  TargetInterface.setDebugInterfaceProperty("use_adiv5_AHB", 7, 0x80000000, 0x08000000); // assume SDRAM is NOT cached for download - AHB AP can be used
}

function DebugBegin()
{
  TargetInterface.setDebugInterfaceProperty("use_adiv5_AHB", 0, 0x80000000, 0x08000000); // assume SDRAM is cached for debug - AHB AP cannot be used
}
